.headroom {
    will-change: transform;
    transition: .3s;
}
.headroom.headroom--not-top {
    background-color: color-mix(in srgb, var(--bgr-color) 80%, black);
    backdrop-filter: blur(5px);
}
.header {
    position: sticky;
    top: 0;
    z-index: 90;
    background-color: black;
}
.header .container {
    width: 100%;
    max-width: var(--content-width);
    margin: 0 auto;
    display: flex;
    gap: 16px;
    align-items: center;
    padding: 16px;
}
.burger {
    display: none;
}
.burger-btn {
    width: 40px;
    height: 40px;
    padding: 8px;
    background: #ffffff0d;
    border-radius: 100%;
    border: none;
    outline: none;
    overflow: hidden;
}
.burger__overlay {
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background: transparent;
    backdrop-filter: blur(0);
    transition: .3s;
    z-index: -1;
    pointer-events: none;
}
.burger__overlay.active {
    background: #00000080;
    backdrop-filter: blur(5px);
    z-index: 10;
    pointer-events: all;
}
.header__nav {
    display: flex;
    flex-grow: 1;
}
.header__nav-buttons {
    display: none;
    width: 100%;
    gap: 16px;
    padding: 16px;
}
.header__menu {
    display: flex;
    flex: 1;
    gap: 8px;
    justify-content: center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}
.header__menu li {
    border: 2px solid transparent;
    border-radius: var(--border-radius);
    transition: .3s;
}

.header__menu .current-menu-item {
    border-color: var(--primary-text-color);
}
.header__menu li a {    
    display: inline-block;
    padding: 16px;
    font-weight: 500;
    transition: .3s;
}

.header__menu li a:hover {
    text-decoration: underline;
}

@keyframes glow {
  0% {
    box-shadow: 0 0 5px #d45f6f, 0 0 10px #d45f6f;
  }
  50% {
    box-shadow: 0 0 20px #bc5d4e, 0 0 40px #bc5d4e;
  }
  100% {
    box-shadow: 0 0 5px #d45f9b, 0 0 10px #d45f9b;
  }
}

.header__buttons {
    display: flex;
    gap: 16px;
}
.btn {
    display: flex;
    gap: 8px;
    align-items: center;
}

.btn.btn--secondary {
  animation: glow 1.5s infinite;
}


@media screen and (max-width: 1200px) {
    .burger {
        display: flex;
    }
    .header__nav {
        position: fixed;
        top: 0;
        left: 0;
        transform: translateX(-100%);
        width: 300px;
        height: 100vh;
        flex-flow: column;
        justify-content: flex-start;
        background: var(--bgr-color);
        transition: .3s;
        z-index: 50;
    }
    .header__nav.active {
        transform: translateX(0);
    }
    .header__nav-buttons {
        display: flex;
        flex-flow: column;
    }
    .header__menu {
        flex-flow: column;
        flex: 0;
    }
    .header__menu li {
        border-radius: 0;
        border-bottom: 1px solid #ffffff0d;
    }

    .header__buttons {
        flex: 1;
        justify-content: flex-end;
    }
}

@media screen and (max-width: 576px) {
    .header__buttons .btn--primary {
        display: none;
    }
}